<!DOCTYPE html>
<html lang="ua">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaSript Тема урока</title>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="./style/normalize.css">
    <link rel="stylesheet" href="./style/style.css">
    <style>
        .slovaz {
            display: inline-grid;
            align-content: center;
            width: 100px;
            height: 50px;
            background: silver;
            color: #1240AB;
            border-radius: 50%;
            transition: all .3s;
            margin: 5px;
            cursor: pointer;
        }

        .slovaz:hover {
            transform: scale(1.1);
            background: #000;
            color: red;
        }
    </style>

</head>

<body>
    <header>
        <div class="logotype"><a href="https://prog.kiev.ua"><img src="./image/philip-logo-2.png" alt="logo"></a></div>
        <ul style="margin: 0;
        font-size: 1.2em;">
            <li> <a href="#block1">Тема сгодняшнего урока</a></li>
            <li> <a href="#block3">Презентация к уроку</a></li>
            <li> <a href="#block4">Классная работа</a></li>
            <li> <a href="#block5">Домашняя работа</a></li>
            <li> <a href="#block6">Дополнительные материалы</a></li>
            <li> <a href="#block7">Подготовка к следующему уроку</a></li>
        </ul>
    </header>
    <main>
        <section id="block1" class="blocks-standart">
            <div class="curse">JavaSript</div>
            <div class="name-lesson">Знакомство с JavaScript</div>
        </section>
        <section id="block2" class="blocks-standart">
            <article>Сегодня в уроке </article>
            <ol>
                <li>Информация об учебном процессе</li>
                <li>Что такое JavaScript</li>
                <li>Какая лексическая структура?</li>
                <li>Пример выполнения джаваскипта</li>
                <li>Переменные</li>
                <li>Зарезервированные слова</li>
                <li>Операторы</li>
            </ol>
        </section>

        <section id="block3" class="blocks-standart">
            <div class="presentation-block">
                <header>Как будут проходть наши занятия?</header>
                <ol>
                    <li>Дни занятий: Понедельник, Среда</li>
                    <li>Длительность урока: 2 часа из них 10 минут перерыв</li>
                    <li>Теория 30-60 минут, практика 60-90 минут </li>
                    <li>Есть вопросы ? </li>
                    <li>ОБЯЗАТЕЛЬНО выполнять домашнее задание и готовится к следующему уроку</li>
                    <li>ОБЬЯЗАТЕЛЬНО Кодить не менее 2‑х часов в день</li>
                    <li>Не боятся искать информацию в интернете и спрашивать у тренера и однокурсников</li>

                </ol>
            </div>
            <div class="presentation-block">
                <header>Что такое JavaScript</header>
                <article>
                    <span class="red">JavaScript</span> -язык программирования для Интернет. Подавляющее большинство
                    веб-сайтов используют JavaScript, и все современные веб-браузеры имеют
                    интерпретатор JavaScript, что делает JavaScript самым широко применемым языком программирования из
                    когда-либо существовавших в истории.
                    <iframe style="margin: 1em 0; width: 900px; height: 500px;"
                        src="https://learn.javascript.ru/intro"></iframe>
                    <h2>Брендан Эйх</h2>
                    <iframe style="margin: 1em 0; width: 900px; height: 500px;"
                        src="https://ru.wikipedia.org/wiki/JavaScript"></iframe>
                </article>

            </div>
            <div class="presentation-block">
                <header>Зачем нужен джаваскрипт </header>
                <article>
                    <div>
                        Как и у любого язык программирования, основная задача Javascript создавать последовательность
                        действий, которые будут приводить к определенному результату.

                        Это могут быть условия «если-то», циклы, которые создают определенную последовательность
                        действий, математические вычисления и.т.д.

                        Самое главное в том, что все эти операции можно производить на веб-страницах, в окне браузера.
                        Причем, javascript может работать и без подключения к сети Интернет.
                    </div>
                </article>
            </div>

            <div class="presentation-block">
                <header>
                    История джаваскрипт
                </header>
                <article>
                    <div>
                        <iframe style="width: 80%; height:500px; margin: 50px 0;"
                            src="https://ru.wikipedia.org/wiki/JavaScript" frameborder="0"></iframe>
                    </div>
                </article>
            </div>
            <div class="presentation-block">
                <header>
                    Лексическая структура

                </header>
                <article>
                    <div>
                        <p><span class="name-rules">Лексическая структура </span>— это набор правил которые выполняются
                            в языке.</p>
                        <ul>
                            <li><span class="name-rules">JavaScript -</span> Чувствителен к регистру </li>
                            <li><span class="name-rules">JavaScript -</span> Игнорирует пробелы и табуляции</li>
                            <li><span class="name-rules">JavaScript -</span> Инструкции должны заканчиваться точкой с
                                запятой</li>

                        </ul>
                        <iframe style="width: 70%; height:500px; margin:30px 0"
                            src="http://gabdrahimov.ru/javascript-leksicheskaya-struktura" frameborder="0"></iframe>
                    </div>
                </article>
            </div>
            <div class="presentation-block">
                <header>
                    Пример выполнения джаваскипта

                </header>
                <article>
                    <div>
                        <table>

                            <tr>
                                <td>1</td>
                                <td><span class="blue">var</span> output = "Начинаю считать"</td>
                            </tr>
                            <tr>
                                <td>2</td>
                                <td><span class="blue">for</span> (<span class="blue">var</span> i = 0; i < 10; i++)
                                        {</td>
                            </tr>
                            <tr>
                                <td>3</td>
                                <td><span class="blue">var </span>counter = <span class="blue">counter + 1</span>;</td>
                            </tr>
                            <tr>
                                <td>4</td>
                                <td>document.write(&lt;br&gt; + counter)</td>
                            </tr>
                            <tr>
                                <td>5</td>
                                <td>}</td>
                            </tr>
                            <tr>
                                <td>6</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>7</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>7</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>8</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>9</td>
                                <td></td>
                            </tr>


                        </table>

                        <script>
                            window.addEventListener("load", function () {
                                var btn1 = document.getElementById('bth1');
                                var output = document.getElementById('output');
                                var counter = 0;
                                output.innerHTML = "Начинаю считать"
                                btn1.onclick = function () {
                                    for (let i = 0; i < 10; i++) {
                                        (function () {
                                            setTimeout(() => {
                                                i++;
                                                output.innerHTML += "<br>" + i;
                                            }, 1000 * i)
                                        }())
                                    }
                                }

                            })
                        </script>
                        <p><button id="bth1">Нажми на меня</button> </p>
                        <p id="output"></p>
                    </div>
                </article>
            </div>
            <div class="presentation-block">
                <header>
                    Переменные

                </header>
                <article>
                    <div>
                        JavaScript-приложению обычно нужно работать с информацией. Например:
                        <br> <br>
                        Интернет магазин – информация может включать продаваемые товары и корзину покупок.
                        <br> <br>
                        Чат – информация может включать пользователей, сообщения и многое другое.
                        <br> <br>
                        Переменные используются для хранения этой информации.
                        <br><br> <br>

                        <span class="red name-rules"> Переменная</span> – это «именованное хранилище» для данных. Мы
                        можем использовать переменные для хранения товаров, посетителей и других данных.
                        <div>
                            Cоздание переменной
                            <br>
                            <br>
                            <table>

                                <tr>
                                    <td>1</td>
                                    <td><span class="blue">var </span> name <span class="red">=</span> data</td>
                                </tr>
                                <tr>
                                    <td>2</td>
                                    <td><span class="blue">var </span> userName <span class="red">=</span> Ivan</td>
                                </tr>
                                <tr>
                                    <td>3</td>
                                    <td><span class="blue">var </span> userPhone <span class="red">=</span> 0930000000
                                    </td>
                                </tr>
                                <tr>
                                    <td>4</td>
                                    <td><span class="blue">var </span> human <span class="red"> = </span> <span
                                            class="blue">true</span></td>
                                </tr>
                            </table>
                            Для создания переменной нужно
                            <ul>
                                <li>Создать ключевое слово </li>
                                <li>Добавить имя переменной</li>
                                <li>По необходимости добавить даные которые будут в переменной</li>
                            </ul>
                        </div>
                    </div>
                </article>
            </div>
            <div class="presentation-block">
                <header>
                    Правило именования переменных

                </header>
                <article>
                    <div>

                        <span class="red name-rules"> Название переменной не должно начитантся с цифры или разделятся
                            пробелом </span>
                        <table contenteditable="true" style="color: blue; cursor:context-menu; text-align: left">

                            <tr>
                                <td>1</td>
                                <td style=" cursor:context-menu"></td>
                            </tr>
                            <tr>
                                <td>2</td>
                                <td style=" cursor:context-menu"></td>
                            </tr>
                            <tr>
                                <td>3</td>
                                <td style=" cursor:context-menu"></td>
                            </tr>
                            <tr>
                                <td>4</td>
                                <td style=" cursor:context-menu"></td>
                            </tr>
                            <tr>
                                <td>5</td>
                                <td style=" cursor:context-menu"></td>
                            </tr>
                            <tr>
                                <td>6</td>
                                <td style=" cursor:context-menu"></td>
                            </tr>
                        </table>
                        <iframe style="width: 70%; height:500px " src="https://learn.javascript.ru/variable-names"
                            frameborder="0"></iframe>
                    </div>
                </article>
            </div>
            <div class="presentation-block">
                <header>
                    Типы данных

                </header>
                <article>
                    <div>
                        <ul>
                            <li><span class="name-rules">Число «number»</span>

                                <div>
                                    <table>
                                        <tr>
                                            <td>1</td>
                                            <td><span class="blue">var</span> n = 123;</td>
                                        </tr>
                                        <tr>
                                            <td>2</td>
                                            <td>n = 12.345;</td>
                                        </tr>
                                    </table>
                                    Единый тип число используется как для целых, так и для дробных чисел.

                                    Существуют специальные числовые значения Infinity (бесконечность) и NaN (ошибка
                                    вычислений).
                                </div>
                            </li>
                            <li><span class="name-rules">Строка «string»</span>
                                <div>
                                    <table>
                                        <tr>
                                            <td>1</td>
                                            <td><span class="blue">var</span> str = "Мама мыла раму";</td>
                                        </tr>
                                        <tr>
                                            <td>2</td>
                                            <td>str = 'Одинарные кавычки тоже подойдут';</td>
                                        </tr>
                                    </table>
                                    В некоторых языках программирования есть специальный тип данных для одного символа.
                                    Например, в языке С это char. В JavaScript есть только тип «строка» string. Что,
                                    надо сказать, вполне удобно.
                                </div>
                            </li>
                            <li><span class="name-rules">Булевый (логический) тип «boolean»</span>
                                <div>
                                    <table>
                                        <tr>
                                            <td>1</td>
                                            <td><span class="blue">var</span> checked = true; // поле формы помечено
                                                галочкой
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>2</td>
                                            <td>checked = false; // поле формы не содержит галочки</td>
                                        </tr>
                                    </table>
                                    У него всего два значения: true (истина) и false (ложь).

                                    Как правило, такой тип используется для хранения значения типа да/нет.
                                </div>
                            </li>
                            <li><span class="name-rules">Специальное значение «null»</span>
                                <div>
                                    Значение null не относится ни к одному из типов выше, а образует свой отдельный тип,
                                    состоящий из единственного значения null:
                                    <table>
                                        <tr>
                                            <td>1</td>
                                            <td><span class="blue">var</span> age = null;</td>
                                        </tr>

                                    </table>
                                    В JavaScript null не является «ссылкой на несуществующий объект» или «нулевым
                                    указателем», как в некоторых других языках. Это просто специальное значение, которое
                                    имеет смысл «ничего» или «значение неизвестно».

                                    В частности, код выше говорит о том, что возраст age неизвестен.
                                </div>
                            </li>
                            <li><span class="name-rules">Специальное значение «undefined»</span>
                                Значение undefined, как и null, образует свой собственный тип, состоящий из одного этого
                                значения. Оно имеет смысл «значение не присвоено».
                                <div>
                                    <table>
                                        <tr>
                                            <td>1</td>
                                            <td><span class="blue">var </span>x;</td>
                                        </tr>
                                        <tr>
                                            <td>2</td>
                                            <td onclick="alert('undefined')">alert( x )</td>
                                        </tr>
                                    </table>
                                </div>
                            </li>
                        </ul>
                    </div>
                </article>
            </div>
            <div class="presentation-block">
                <header>
                    Зарезервированные слова

                </header>
                <article>
                    <div>
                        <span class="slovaz">break</span>
                        <span class="slovaz">delete</span>
                        <span class="slovaz">function</span>
                        <span class="slovaz">return</span>
                        <span class="slovaz">typeof</span>
                        <span class="slovaz"> case</span>
                        <span class="slovaz"> do</span>
                        <span class="slovaz"> if</span>
                        <span class="slovaz"> switch</span>
                        <span class="slovaz"> var</span>
                        <span class="slovaz"> catch</span>
                        <span class="slovaz">else</span>
                        <span class="slovaz">in</span>
                        <span class="slovaz"> this</span>
                        <span class="slovaz"> void</span>
                        <span class="slovaz"> continue</span>
                        <span class="slovaz"> false</span>
                        <span class="slovaz"> instanceof</span>
                        <span class="slovaz"> throw</span>
                        <span class="slovaz"> while</span>
                        <span class="slovaz"> debugger</span>
                        <span class="slovaz"> finally</span>
                        <span class="slovaz"> new </span>
                        <span class="slovaz"> true</span>
                        <span class="slovaz"> with</span>
                        <span class="slovaz"> default</span>
                        <span class="slovaz"> for</span>
                        <span class="slovaz"> null</span>
                        <span class="slovaz"> try</span>
                        <span class="slovaz"> class</span>
                        <span class="slovaz"> const</span>
                        <span class="slovaz"> enum</span>
                        <span class="slovaz"> export</span>
                        <span class="slovaz"> extends</span>
                        <span class="slovaz"> import</span>
                        <span class="slovaz">super</span>
                        <span class="slovaz"> implements</span>
                        <span class="slovaz"> let</span>
                        <span class="slovaz"> private</span>
                        <span class="slovaz"> public</span>
                        <span class="slovaz"> yield</span>
                        <span class="slovaz"> interface</span>
                        <span class="slovaz"> package</span>
                        <span class="slovaz"> protected</span>
                        <span class="slovaz"> static</span>

                    </div>
                </article>
            </div>
            <div class="presentation-block">
                <header>
                    Работа с базовыми модальными окнами и методами и
                    Операторы
                </header>
                <article>
                    <div>
                        <iframe style="width: 70%; height:500px; margin: 30px 0"
                            src="https://learn.javascript.ru/operators" frameborder="0"></iframe>
                    </div>
                </article>
            </div>
        </section>
        <section id="block4" class="blocks-standart">
            <header>Класна робота</header>
            <article>
                <ol>
                    <li>Сверстать страницу подобную макету с помощью document write
                        <img src="./image/mak.png" alt="">
                    </li>
                    <li>Создать 3 переменных которые перед загрузкой страницы спросят у пользователя
                        <br> Имя
                        <br> Фамилию
                        <br> Возвраст
                        <br> и выведут данные на страницу которую мы ранние сверстали.
                    </li>
                    <li>Получите 3 числа от пользователя и выведите среднее арифметическое</li>
                </ol>
            </article>
        </section>
        <section id="block5" class="blocks-standart">
            <header>Домашня робота</header>
            <article>
                <ol>
                    <li>Выучите основные термины и понятия, рассмотренные на уроке.</li>
                    <li>
                        Создайте 3 переменных ( x = 6, y = 14, z =4 ) Выполните и отобразите результат следующих
                        операций для этих переменных:

                        <br>x += y - x++ * z ;
                        <br> z = --x - y * 5 ;
                        <br> y /= x + 5 % z;
                        <br> z - x++ + y * 5;
                        <br> x = y - x++ * z;
                        <br> Дайте ответ как джаваскрипт выполнил расчет каждой операции.
                    </li>
                    <span class="red"> </span>
                </ol>
            </article>
        </section>
        <section id="block6" class="blocks-standart">
            <header>Дополнительные материалы для закрепления темы</header>
            <article>
                <div class="link">
                    <a href="https://html5book.ru/vyrazheniya-v-javascript/" target="_blank">Выражения в JS</a>
                </div>
                <div class="link">
                    <a href="https://learn.javascript.ru/structure" target="_blank">Структура кода</a>
                </div>
                <div class="link" target="_blank">
                    <a href="https://learn.javascript.ru/uibasic">Модальные окна</a>
                </div>
                <div class="link" target="_blank">
                    <a href="https://learn.javascript.ru/operators">Операторы</a>
                </div>
                <div class="link" target="_blank">
                    <a href="https://learn.javascript.ru/comparison">Операторы сравнения</a>
                </div>
                <div class="link" target="_blank">
                    <a href="https://learn.javascript.ru/logical-ops">Логические операторы</a>
                </div>
                <div class="link" target="_blank">
                    <a href="https://developer.mozilla.org/ru/docs/Web/JavaScript/Reference/Lexical_grammar">Лексический
                        синтаксис</a>
                </div>
                <div class="link" target="_blank">
                    <a href="https://learn.javascript.ru/types-intro">Типы данных</a>
                </div>















                <div class="video">
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/n0sPFaLsNeI" frameborder="0"
                        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                        allowfullscreen></iframe>
                </div>
                <div class="video">
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/VuDbnKpoCyU" frameborder="0"
                        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                        allowfullscreen></iframe>
                </div>
                <div class="video">
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/GucI-Q6fdoE" frameborder="0"
                        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                        allowfullscreen></iframe>
                </div>
                <div class="video">
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/yVepG-wOQ0U" frameborder="0"
                        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                        allowfullscreen></iframe>
                </div>
                <div class="video">
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/YkUBHGEVk7s" frameborder="0"
                        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                        allowfullscreen></iframe>
                </div>
                <div class="video">
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/fAlSvFntNxw" frameborder="0"
                        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                        allowfullscreen></iframe>
                </div>

            </article>
        </section>
        <section id="block7" class="blocks-standart">
            <header>Подготовься к следующему уроку № 2 "Условные и циклические конструкции"</header>
            <article>
                <div class="link">
                    <a href="https://learn.javascript.ru/while-for" target="_blank">Цыклические конструкции</a>
                </div>
                <div class="link">
                    <a href="https://learn.javascript.ru/ifelse" target="_blank">Условные конструкции</a>
                </div>
                <div class="link">
                    <a href="https://learn.javascript.ru/switch" target="_blank">Условные конструкции 2</a>
                </div>
                <div class="video">
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/ogmqkRFNmcE" frameborder="0"
                        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                        allowfullscreen></iframe>
                </div>
                <div class="video">
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/kFDhIxBV2cs" frameborder="0"
                        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                        allowfullscreen></iframe>
                </div>
            </article>
        </section>
    </main>
    <footer>
        <div>
            <span class="red"> После выполнения домашней работы отправь на проверку!!!</span>
            <br>
            Что делать елси я не знаю с чего мне начать или у меня есть дополнительные вопросы?
            <ol>
                <li>Открой браузер перейди <a href="https://google.com" target="_blank" class="red">по ссыке</a>,
                    попробуй найти ответ здесь на свои вопросы</li>
                <li>Если не нашел, то пиши своим отдногорупникам в чат, может кто-то уже сталкивался с этим:) <a href=""
                        target="_blank" class="red">ссылка</a> </li>
                <li>Если все еще твой вопрос не решен пиши мне в телеграмм "@Philip7e"</li>
            </ol>
        </div>
    </footer>
    <script src="../../globalfile/code/index.js"></script>
</body>

</html>